%set_perl_req_method relaxed
%define _without_test 1
%filter_from_provides /^perl(Apache.Constants.pm)/d
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache2/Request.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Apache2/Response.pm) perl(Bloom/Filter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fatal.pm) perl(HTML/Entities.pm) perl(HTTP/Status.pm) perl(JSON/DWIW.pm) perl(LWP/UserAgent.pm) perl(Object/InsideOut.pm) perl(Pod/WSDL.pm) perl(Readonly.pm) perl(SOAP/Transport/HTTP.pm) perl(Term/ReadKey.pm) perl(Test/More.pm) perl(base.pm) perl(List/MoreUtils.pm)
# END SourceDeps(oneline)
%define module_version 0.0.7
%define module_name Data-Passphrase
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.7
Release: alt2
Summary: rule-based passphrase strength checker
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KO/KORTY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provides object-oriented and procedural interfaces for.checking passphrase strength against a set of customizable rules.
An Apache handler that provides HTTP and
SOAP services makes strength-checking possible by remote applications.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README examples
%perl_vendor_privlib/D*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Tue Jan 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.7-alt2
- rebuild w/o Apache1 support

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.7-alt1
- initial import by package builder

